Go to the latest version of this document.

# ``twisted`.`pair`.`tuntap`.`TunnelFlags``

class documentation

`class TunnelFlags(Flags): (source)`

View In Hierarchy

`TunnelFlags` defines more flags which are used to configure the behavior of a tunnel device.

See Also
https://www.kernel.org/doc/Documentation/networking/tuntap.txt

Constant | `IFF_NO_PI` | This indicates the protocol information header will not be included in data read from the tunnel.
Constant | `IFF_ONE_QUEUE` | Undocumented
Constant | `IFF_TAP` | This indicates a tap-type device. This type of tunnel carries ethernet frames. This flag is mutually exclusive with `IFF_TUN`.
Constant | `IFF_TUN` | This indicates a tun-type device. This type of tunnel carries IP datagrams. This flag is mutually exclusive with `IFF_TAP`.
Constant | `IFF_TUN_EXCL` | Undocumented
Constant | `IFF_VNET_HDR` | Undocumented
Constant | `TUN_FASYNC` | Undocumented
Constant | `TUN_NO_PI` | Undocumented
Constant | `TUN_NOCHECKSUM` | Undocumented
Constant | `TUN_ONE_QUEUE` | Undocumented
Constant | `TUN_PERSIST` | Undocumented
Constant | `TUN_VNET_HDR` | Undocumented

IFF_NO_PI = (source)

This indicates the protocol information header will not be included in data read from the tunnel.

Value

    FlagConstant(4096)

IFF_ONE_QUEUE = (source)

Undocumented

Value

    FlagConstant(8192)

IFF_TAP = (source)

This indicates a tap-type device. This type of tunnel carries ethernet frames. This flag is mutually exclusive with `IFF_TUN`.

Value

    FlagConstant(2)

IFF_TUN = (source)

This indicates a tun-type device. This type of tunnel carries IP datagrams. This flag is mutually exclusive with `IFF_TAP`.

Value

    FlagConstant(1)

IFF_TUN_EXCL = (source)

Undocumented

Value

    FlagConstant(32768)

IFF_VNET_HDR = (source)

Undocumented

Value

    FlagConstant(16384)

TUN_FASYNC = (source)

Undocumented

Value

    FlagConstant(16)

TUN_NO_PI = (source)

Undocumented

Value

    FlagConstant(64)

TUN_NOCHECKSUM = (source)

Undocumented

Value

    FlagConstant(32)

TUN_ONE_QUEUE = (source)

Undocumented

Value

    FlagConstant(128)

TUN_PERSIST = (source)

Undocumented

Value

    FlagConstant(256)

TUN_VNET_HDR = (source)

Undocumented

Value

    FlagConstant(512)